Linux tsuru-no-tsurugi 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.0.18 & Your IP : 216.73.217.105
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
initramfs-tools /
hooks /
Delete
Unzip
Name
Size
Permission
Date
Action
amd64_microcode
3.77
KB
-rwxr-xr-x
2024-10-16 14:22
bcache
543
B
-rwxr-xr-x
2022-03-23 18:42
btrfs
701
B
-rwxr-xr-x
2022-02-25 02:39
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
2020-08-18 01:00
console_setup
3.07
KB
-rwxr-xr-x
2021-11-23 01:39
copymods
280
B
-rwxr-xr-x
2020-08-18 01:00
cryptgnupg
958
B
-rwxr-xr-x
2022-01-14 06:44
cryptgnupg-sc
2.19
KB
-rwxr-xr-x
2022-01-14 06:44
cryptkeyctl
457
B
-rwxr-xr-x
2022-01-14 06:44
cryptopensc
1.48
KB
-rwxr-xr-x
2022-01-14 06:44
cryptpassdev
888
B
-rwxr-xr-x
2022-01-14 06:44
cryptroot
15
KB
-rwxr-xr-x
2022-08-04 21:08
cryptroot-unlock
1010
B
-rwxr-xr-x
2022-01-14 06:44
dmsetup
506
B
-rwxr-xr-x
2021-05-19 19:19
fixrtc
436
B
-rwxr-xr-x
2024-03-19 19:03
framebuffer
579
B
-rwxr-xr-x
2024-03-19 21:05
fsck
2.06
KB
-rwxr-xr-x
2024-03-19 19:03
fuse
231
B
-rwxr-xr-x
2022-03-23 22:53
intel_microcode
4.83
KB
-rwxr-xr-x
2026-02-27 23:20
iscsi
732
B
-rwxr-xr-x
2022-01-19 20:38
kbd
301
B
-rwxr-xr-x
2022-12-16 23:14
klibc-utils
646
B
-rwxr-xr-x
2021-12-27 02:51
kmod
432
B
-rwxr-xr-x
2021-01-08 19:42
linux-firmware
865
B
-rwxr-xr-x
2026-02-02 03:47
lvm2
691
B
-rwxr-xr-x
2021-05-20 02:35
mdadm
2.91
KB
-rwxr-xr-x
2023-04-11 12:22
ntfs_3g
304
B
-rwxr-xr-x
2026-07-12 00:55
overlayroot
732
B
-rwxr-xr-x
2020-08-18 01:00
plymouth
5.69
KB
-rwxr-xr-x
2022-03-18 19:45
resume
3.04
KB
-rwxr-xr-x
2024-03-19 21:05
sg3-utils
485
B
-rwxr-xr-x
2023-03-22 23:57
thermal
1.29
KB
-rwxr-xr-x
2024-03-19 21:05
thin-provisioning-tools
369
B
-rwxr-xr-x
2022-03-18 21:36
udev
1.85
KB
-rwxr-xr-x
2026-03-24 22:52
xfs
850
B
-rwxr-xr-x
2024-10-17 15:49
zz-busybox-initramfs
2.18
KB
-rwxr-xr-x
2024-08-13 22:39
zz-dhclient
478
B
-rwxr-xr-x
2023-02-01 06:54
Save
Rename
#!/bin/sh # intel-microcode initramfs-tools hook script version 3 # Copyright (C) 2012-2016 Henrique de Moraes Holschuh <hmh@debian.org> # Released under the GNU GPL v2 or later license # # Generates a copy of the Intel microcode (by default tailored to the # running system), and installs it in the early initramfs. # # iucode_tool v1.0 or later is required. # PREREQ="" IUCODE_CONFIG=/etc/default/intel-microcode prereqs() { echo "$PREREQ" } case $1 in prereqs) prereqs exit 0 ;; esac . /usr/share/initramfs-tools/hook-functions verbose() { if [ "${verbose}" = "y" ] ; then echo "intel-microcode: $*" fi : } if [ "${verbose}" = "y" ] ; then IUCODE_TOOL_OPTIONS="-l" else IUCODE_TOOL_OPTIONS="-q" fi IUCODE_TOOL=$(command -v iucode_tool) if [ -z "${IUCODE_TOOL}" ] && [ -x /usr/sbin/iucode_tool ] ; then IUCODE_TOOL=/usr/sbin/iucode_tool fi IUCODE_FW_DIR=/lib/firmware/intel-ucode if [ "$MODULES" = "most" ]; then IUCODE_TOOL_INITRAMFS=${IUCODE_TOOL_INITRAMFS:-early} IUCODE_TOOL_SCANCPUS=${IUCODE_TOOL_SCANCPUS:-no} else IUCODE_TOOL_INITRAMFS=${IUCODE_TOOL_INITRAMFS:-auto} IUCODE_TOOL_SCANCPUS=${IUCODE_TOOL_SCANCPUS:-yes} fi IUCODE_TOOL_EXTRA_OPTIONS= [ -r ${IUCODE_CONFIG} ] && . ${IUCODE_CONFIG} [ -z "${IUCODE_TOOL_INITRAMFS}" ] && IUCODE_TOOL_INITRAMFS=no case "${IUCODE_TOOL_INITRAMFS}" in no|0) verbose "intel-microcode: disabled by ${IUCODE_CONFIG}" exit 0 ;; auto|early) ;; yes|1) IUCODE_TOOL_INITRAMFS=early echo "W: intel-microcode: initramfs mode not supported, using early initramfs mode" >&2 ;; *) echo "E: intel-microcode: invalid IUCODE_TOOL_INITRAMFS, using automatic mode" >&2 IUCODE_TOOL_INITRAMFS=auto esac # don't do anything unless there's an Intel processor in the system in auto mode if [ "${IUCODE_TOOL_INITRAMFS}" = "auto" ] ; then grep -q "^vendor_id[[:blank:]]*:[[:blank:]]*.*GenuineIntel" /proc/cpuinfo || { verbose "no Intel processors detected, nothing to do" exit 0 } fi # we require iucode_tool, but something is broken if [ ! -x "${IUCODE_TOOL}" ] ; then echo "E: intel-microcode: cannot run iucode_tool!" >&2 exit 0 fi # Blacklist all kernel versions before v3.10, as they don't support early # initramfs mode. # # This doesn't blacklist early 3.10 kernels in the LTS branches, we don't have # enough information at the initramfs-tools layer, due to the way Debian and # Ubuntu version kernel packages. if dpkg --compare-versions "${version}" lt 3.10 ; then echo "E: intel-microcode: unsupported kernel version!" >&2 exit 0 fi if [ "${IUCODE_TOOL_SCANCPUS}" != "yes" ] ; then verbose "adding microcode for either all or selected Intel processor models" else verbose "adding microcode for currently online and selected Intel processors" grep -q cpu/cpuid /proc/devices || modprobe -q cpuid IUCODE_TOOL_OPTIONS="${IUCODE_TOOL_OPTIONS} --scan-system" fi # paranoia [ -z "${DESTDIR}" ] && { echo "E: intel-microcode: DESTDIR empty!" >&2 exit 1 } [ -z "${IUCODE_FW_DIR}" ] && { echo "E: intel-microcode: IUCODE_FW_DIR empty!" >&2 exit 1 } # include the microcode module in the initramfs for logging purposes, but # ensure it will have no microcode data files to load. This is also a safety # net: we don't want it to be acidentally loaded outside the initramfs. # # This shouldn't be expensive, as the in-kernel firmware loader is quite # fast at detecting missing data files and doesn't wait for them. # # note: force_load will load a blacklisted module. We depend on that behavior. # # For 4.4 and later kernels, the microcode driver cannot be a module and will # be built-in. dpkg --compare-versions "${version}" lt 4.4 && { [ -d "${DESTDIR}${IUCODE_FW_DIR}" ] && rm -fr "${DESTDIR}${IUCODE_FW_DIR}" manual_add_modules microcode && { # force_load has broken semanthics when the .ko file is missing find "${DESTDIR}/${MODULESDIR}" -type f -print | grep -qc '/microcode\.ko$' && { verbose "modular microcode driver detected" force_load microcode } } } # generate early initramfs image and prepend verbose "using early initramfs microcode update mode..." EFW=$(mktemp "${TMPDIR:-/var/tmp}/mkinitramfs-EFW_XXXXXXXXXX") || { echo "E: intel-microcode: cannot create temporary file" >&2 exit 1 } ( find /usr/share/misc -maxdepth 1 -type f -name 'intel-microcode*' -print0 ; find "${IUCODE_FW_DIR}" -maxdepth 0 -type d -print0 ) 2>/dev/null \ | xargs -0 -r -x ${IUCODE_TOOL} ${IUCODE_TOOL_OPTIONS} \ --write-earlyfw="${EFW}" --overwrite \ ${IUCODE_TOOL_EXTRA_OPTIONS} \ && prepend_earlyinitramfs "${EFW}" && { rm "${EFW}" exit 0 } # usually we get here when initramfs-tools is missing prepend_earlyinitramfs() # or when iucode_tool does not support --write-earlyfw, i.e. when old versions # of these tools are installed. rm "${EFW}" || true echo "E: intel-microcode: failed to create or prepend the early initramfs to the initramfs" >&2 :